﻿using System;
using System.Windows;

namespace NauticalWaypointsAndEta
{
    /// <summary>
    /// Interaction logic for App
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// Initializes Carmenta Engine
        /// </summary>
        /// <param name="sender">The object that raised the event</param>
        /// <param name="args">The event data</param>
        private void Application_Startup(object sender, StartupEventArgs args)
        {
            try
            {
                // Initialize Carmenta Engine.
                Carmenta.Engine.Runtime.Initialize();
            }
            catch (Exception ex)
            {
                // Display error message from exception.
                MessageBox.Show(
                    ex.Message,
                    "HelloWorldWpf1",
                    MessageBoxButton.OK,
                    MessageBoxImage.Error);
                Application.Current.Shutdown();
            }
        }

        /// <summary>
        /// Shuts down Carmenta Engine
        /// </summary>
        /// <param name="sender">The object that raised the event</param>
        /// <param name="args">The event data</param>
        private void Application_Exit(object sender, ExitEventArgs args)
        {
            Carmenta.Engine.Runtime.Shutdown();
        }
    }
}
